Skip to main content
`Ctrl`+`K`

# EPSConv

The convergence criterion to be used by the solver.

## Synopsis

    typedef enum { EPS_CONV_ABS,
                   EPS_CONV_REL,
                   EPS_CONV_NORM,
                   EPS_CONV_USER } EPSConv;

## Values

- `EPS_CONV_ABS` - absolute convergence criterion, \(\|r\|\)

- `EPS_CONV_REL` - convergence criterion relative to eigenvalue, \(\|r\|/|\lambda|\)

- `EPS_CONV_NORM` - convergence criterion relative to matrix norms, \(\|r\|/(\|A\|+|\lambda|\|B\|)\)

- `EPS_CONV_USER` - convergence dictated by user-provided function

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetConvergenceTest()`, `EPSSetConvergenceTestFunction()`

## Level

intermediate

## Location

include/slepceps.h

## Implementations

EPSConv_Cross() in src/svd/impls/cross/cross.c
EPSConv_Cyclic() in src/svd/impls/cyclic/cyclic.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages